rkt - App Container runtime(1)

NAME

rkt-completion - Output shell completion code for the specified shell

SYNOPSIS

rkt completion SHELL [flags]

DESCRIPTION

This command outputs completion code for the specified shell. The generated code must be evaluated to provide interactive completion of rkt sub-commands. This can be done by sourcing it from the .bash_profile.

Save completion code in a home directory and then include it in .bash_profile script:

    $ rkt completion bash > $HOME/.rkt.bash.inc
    $ printf '

rkt shell completion

source "$HOME/.rkt.bash.inc"
    $ source $HOME/.bash_profile

Alternatively, include the completion code directly into the launched shell:

    $ source <(rkt completion bash)

OPTIONS

-h, --help[=false]
    help for completion

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra